
## Instalar

### Por única vez

Clonar el repositorio

```bash
git clone https://0xacab.org/itacate-kefir/sutty
```

### Antes de empezar a trabajar

Acordarse de entrar al repositorio!

```bash
cd sutty
```

### Dependencias

Instalar las gemas de ruby al iniciar o cada vez que se modifique el
archivo `Gemfile`.

```bash
bundle install
```

## Ideas

Sutty actua como una granja de sitios Jekyll.  La idea principal es que
una sola instancia de Sutty es capaz de gestionar muchos sitios Jekyll.

### Sin base de datos

Sutty es capaz de obtener toda la información necesaria a partir de la
estructura de directorios.

### Sin autenticación

Al menos sin autenticación propia.  Sutty es capaz de funcionar con
mecanismos de autenticación diversos.  Actualmente solo funciona con
LDAP.  Podría ni tener autenticación!

### Sin administradoras ni administradas

No hay una cuenta de administración que decide a quién corresponde un
sitio o quién puede escribir o no.  Las usuarias crean sus propios
sitios e invitan a otras usuarias a co-gestionarlos.

### Múltiples versiones de Jekyll

Debe ser capaz de soportar diferentes versiones de Jekyll.
